## suitesparse 5.2.0+dfsg

=== debian/changelog ===
suitesparse (1:5.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.0+dfsg
  * d/copyright:
    + add GraphBLAS_API_C.pdf to Files-Excluded, since the source
      is not provided.
    + reflect upstream changes.
  * d/watch: handle +dfsg suffix.
  * SOVERSION bump for libgraphblas (1->2).

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 17 Mar 2018 22:25:58 +0100

=== debian/control ===
Source: suitesparse
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11),
               gfortran,
               libblas-dev,
               liblapack-dev,
               libmetis-dev,
               cmake,
               texlive-latex-extra,
               texlive-plain-generic,
               texlive-bibtex-extra
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/suitesparse
Vcs-Git: https://salsa.debian.org/science-team/suitesparse.git
Homepage: http://www.suitesparse.com

Package: libamd2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: approximate minimum degree ordering library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The AMD library provides a set of routines for pre-ordering sparse matrices
 prior to Cholesky or LU factorization, using the "Approximate Minimum Degree
 ordering" algorithm.

Package: libbtf1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: permutation to block triangular form library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The BTF library is a software package for permuting a matrix into Block upper
 Triangular Form. It includes a maximum transversal algorithm, which finds a
 permutation of a square or rectangular matrix so that it has a zero-free
 diagonal (if one exists); otherwise, it finds a maximal matching which
 maximizes the number of nonzeros on the diagonal. The package also includes a
 method for finding the strongly connected components of a graph. These two
 methods together give the permutation to block upper triangular form.

Package: libcamd2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: symmetric approximate minimum degree library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CAMD library provides a set of routines for pre-ordering sparse matrices
 prior to Cholesky or LU factorization, using the approximate minimum degree
 ordering algorithm with optional ordering constraints.

Package: libcolamd2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: column approximate minimum degree ordering library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The COLAMD library implements the "COLumn Approximate Minimum Degree ordering"
 algorithm. It computes a permutation vector P such that the LU factorization
 of A (:,P) tends to be sparser than that of A. The Cholesky factorization of
 (A (:,P))'*(A (:,P)) will also tend to be sparser than that of A'*A.

Package: libccolamd2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: constrained column approximate library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CCOLAMD library implements the "Constrained COLumn Approximate Minimum
 Degree ordering" algorithm. It computes a permutation vector P such that the
 LU factorization of A (:,P) tends to be sparser than that of A. The Cholesky
 factorization of (A (:,P))'*(A (:,P)) will also tend to be sparser than that
 of A'*A.

Package: libcholmod3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: sparse Cholesky factorization library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CHOLMOD library provides a set of routines for factorizing sparse
 symmetric positive definite matrices of the form A or AA', updating/downdating
 a sparse Cholesky factorization, solving linear systems, updating/downdating
 the solution to the triangular system Lx=b, and many other sparse matrix
 functions for both symmetric and unsymmetric matrices. Its supernodal Cholesky
 factorization relies on LAPACK and the Level-3 BLAS, and obtains a substantial
 fraction of the peak performance of the BLAS.

Package: libcxsparse3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: concise sparse matrix library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CXSparse library provides several matrix algorithms. The focus is on direct
 methods; iterative methods and solvers for eigenvalue problems are beyond the
 scope of this package.
 .
 The performance of the sparse factorization methods in CXSparse will not be
 competitive with UMFPACK or CHOLMOD, but the codes are much more concise and
 easy to understand. Other methods are competitive.

Package: libklu1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: circuit simulation sparse LU factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The KLU library provides routines for LU factorization, primarily for circuit
 simulation.

Package: libldl2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: simple LDL' factorization library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The LDL library provides routines for sparse LDL' factorization and solving.
 These routines are not terrifically fast (they do not use dense matrix
 kernels), but the code is very short and concise. The purpose is to illustrate
 the algorithms in a very concise and readable manner, primarily for
 educational purposes.

Package: libumfpack5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: sparse LU factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The UMFPACK library provides a set of routines solving sparse linear systems
 via LU factorization.

Package: librbio2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: read/write sparse matrices in Rutherford/Boeing format
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 RBio is a library for reading/writing sparse matrices in the Rutherford/Boeing
 format.

Package: libspqr2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: sparse QR factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 SuiteSparseQR (SPQR) is a multithreaded, multifrontal, rank-revealing sparse
 QR factorization method.

Package: libgraphblas2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: graph algorithms via sparse matrix operations on semirings
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 SuiteSparse:GraphBLAS is an full implementation of the GraphBLAS standard,
 which defines a set of sparse matrix operations on an extended algebra of
 semirings using an almost unlimited variety of operators and types. When
 applied to sparse adjacency matrices, these algebraic operations are
 equivalent to computations on graphs. GraphBLAS provides a powerful and
 expressive framework for creating graph algorithms based on the elegant
 mathematics of sparse matrix operations on a semiring.

Package: libsuitesparseconfig5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: configuration routines for all SuiteSparse modules
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The SuiteSparse_config library provides configuration routines that are common
 to all SuiteSparse libraries.

Package: libsuitesparse-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libamd2 (= ${binary:Version}),
         libcamd2 (= ${binary:Version}),
         libbtf1 (= ${binary:Version}),
         libcolamd2 (= ${binary:Version}),
         libccolamd2 (= ${binary:Version}),
         libcholmod3 (= ${binary:Version}),
         libcxsparse3 (= ${binary:Version}),
         libgraphblas2 (= ${binary:Version}),
         libklu1 (= ${binary:Version}),
         libldl2 (= ${binary:Version}),
         libumfpack5 (= ${binary:Version}),
         librbio2 (= ${binary:Version}),
         libspqr2 (= ${binary:Version}),
         libsuitesparseconfig5 (= ${binary:Version}),
         libblas-dev | libblas.so,
         liblapack-dev | liblapack.so
Conflicts: libsuitesparse-metis-dev
Replaces: libsuitesparse-metis-dev
Description: libraries for sparse matrices computations (development files)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.  This package includes the following libraries:
 .
 AMD         approximate minimum degree ordering
 .
 CAMD        symmetric approximate minimum degree
 .
 BTF         permutation to block triangular form (beta)
 .
 COLAMD      column approximate minimum degree ordering
 .
 CCOLAMD     constrained column approximate minimum degree ordering
 .
 CHOLMOD     sparse Cholesky factorization
 .
 CXSparse    a concise sparse matrix package
 .
 KLU         sparse LU factorization, primarily for circuit simulation
 .
 LDL         a simple LDL' factorization
 .
 UMFPACK     sparse LU factorization
 .
 RBio        read/write sparse matrices in Rutherford/Boeing format
 .
 SPQR        sparse QR factorization
 .
 GraphBLAS   graph algorithms via sparse matrix operations on semirings
 .
 SuiteSparse_config    configuration routines for all the above packages.
 .
 This package contains the static libraries and header files.

Package: libsuitesparse-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: liblapack-doc,
          libatlas-doc
Description: libraries for sparse matrices computations (documentation)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices. This package contains the user guides for the
 libraries distributed by the SuiteSparse project.

## suitesparse 5.3.0+dfsg

=== debian/changelog ===
suitesparse (1:5.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.3.0+dfsg
  * d/copyright: reflect upstream changes
  * Package Mongoose
    + new binary packages: mongoose, libmongoose2
    + mongoose-build.patch: new patch
    + add texlive-fonts-extra, ghostscript, texlive-science and
      texlive-xetex to Build-Depends
  * d/rules: remove get-orig-source rule
  * Add Rules-Requires-Root: no
  * Bump S-V to 4.1.5

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 18 Jul 2018 12:52:42 +0200

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,16 @@
                cmake,
                texlive-latex-extra,
                texlive-plain-generic,
-               texlive-bibtex-extra
-Standards-Version: 4.1.3
+               texlive-bibtex-extra,
+               texlive-fonts-extra,
+               ghostscript,
+               texlive-science,
+               texlive-xetex
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/science-team/suitesparse
 Vcs-Git: https://salsa.debian.org/science-team/suitesparse.git
 Homepage: http://www.suitesparse.com
+Rules-Requires-Root: no
 
 Package: libamd2
 Architecture: any
@@ -228,6 +233,43 @@
  equivalent to computations on graphs. GraphBLAS provides a powerful and
  expressive framework for creating graph algorithms based on the elegant
  mathematics of sparse matrix operations on a semiring.
+
+Package: libmongoose2
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: graph partitioning tool that can quickly compute edge cuts (shared library)
+ Suitesparse is a collection of libraries for computations involving
+ sparse matrices.
+ .
+ Mongoose is a graph partitioning library that can quickly compute edge cuts in
+ arbitrary graph. Given a graph with a vertex set and edge set, an edge cut is
+ a partitioning of the graph into two subgraphs that are balanced (contain the
+ same number of vertices) and the connectivity between the subgraphs is
+ minimized (few edges are in the cut).
+ .
+ This package contains the shared C++ library.
+
+Package: mongoose
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Suggests: libsuitesparse-doc
+Description: graph partitioning tool that can quickly compute edge cuts (executable)
+ Suitesparse is a collection of libraries for computations involving
+ sparse matrices.
+ .
+ Mongoose is a graph partitioning library that can quickly compute edge cuts in
+ arbitrary graph. Given a graph with a vertex set and edge set, an edge cut is
+ a partitioning of the graph into two subgraphs that are balanced (contain the
+ same number of vertices) and the connectivity between the subgraphs is
+ minimized (few edges are in the cut).
+ .
+ This package contains the standalone executable.
 
 Package: libsuitesparseconfig5
 Architecture: any
@@ -258,6 +300,7 @@
          libgraphblas2 (= ${binary:Version}),
          libklu1 (= ${binary:Version}),
          libldl2 (= ${binary:Version}),
+         libmongoose2 (= ${binary:Version}),
          libumfpack5 (= ${binary:Version}),
          librbio2 (= ${binary:Version}),
          libspqr2 (= ${binary:Version}),
@@ -286,28 +329,3 @@
  .
  KLU         sparse LU factorization, primarily for circuit simulation
  .
- LDL         a simple LDL' factorization
- .
- UMFPACK     sparse LU factorization
- .
- RBio        read/write sparse matrices in Rutherford/Boeing format
- .
- SPQR        sparse QR factorization
- .
- GraphBLAS   graph algorithms via sparse matrix operations on semirings
- .
- SuiteSparse_config    configuration routines for all the above packages.
- .
- This package contains the static libraries and header files.
-
-Package: libsuitesparse-doc
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Depends: ${misc:Depends}
-Suggests: liblapack-doc,
-          libatlas-doc
-Description: libraries for sparse matrices computations (documentation)
- Suitesparse is a collection of libraries for computations involving
- sparse matrices. This package contains the user guides for the
- libraries distributed by the SuiteSparse project.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

# Flags for traditional Makefiles (all libs except GraphBLAS and Mongoose)
COMMON_FLAGS := BLAS=-lblas MY_METIS_LIB=-lmetis
PIC_FLAGS := $(COMMON_FLAGS) OPTIMIZATION=-fPIC
NOPIC_FLAGS := $(COMMON_FLAGS) OPTIMIZATION=

# Flags for cmake (only GraphBLAS and Mongoose)
export CMAKE_OPTIONS := -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_C_FLAGS_RELEASE="$(CFLAGS) $(CPPFLAGS)" -DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS) $(CPPFLAGS)" -DCMAKE_SKIP_RPATH=TRUE -DCMAKE_BUILD_TYPE=Release

# All static libs (except GraphBLAS and Mongoose static which are handled by cmake)
STATIC_LIBS := CAMD/Lib/libcamd.a BTF/Lib/libbtf.a CHOLMOD/Lib/libcholmod.a AMD/Lib/libamd.a RBio/Lib/librbio.a LDL/Lib/libldl.a SuiteSparse_config/libsuitesparseconfig.a KLU/Lib/libklu.a SPQR/Lib/libspqr.a UMFPACK/Lib/libumfpack.a COLAMD/Lib/libcolamd.a CXSparse/Lib/libcxsparse.a CCOLAMD/Lib/libccolamd.a

PDF_DOCS := AMD/Doc/AMD_UserGuide.pdf CAMD/Doc/CAMD_UserGuide.pdf CHOLMOD/Doc/CHOLMOD_UserGuide.pdf GraphBLAS/Doc/GraphBLAS_UserGuide.pdf KLU/Doc/KLU_UserGuide.pdf Mongoose/Doc/Mongoose_UserGuide.pdf UMFPACK/Doc/UMFPACK_QuickStart.pdf UMFPACK/Doc/UMFPACK_UserGuide.pdf LDL/Doc/ldl_userguide.pdf SPQR/Doc/spqr_user_guide.pdf

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NUMJOBS := 1
endif


%:
	dh $@

# LD_LIBRARY_PATH needed to make tests work (since buildflags.patch removes the -rpath)
override_dh_auto_build:
	# Docs must be rebuilt first, because the build system expect them for some libs
	rm -f $(PDF_DOCS)
	make docs

	# Build static libraries (except GraphBLAS and Mongoose, see debian/patches/mongoose-build.patch)
	make -j$(NUMJOBS) static $(NOPIC_FLAGS)
	mkdir static_lib && cp $(STATIC_LIBS) static_lib/
	make purge

	# Build dynamic libraries (and GraphBLAS and Mongoose static)
	LD_LIBRARY_PATH=$$(pwd)/lib make -j$(NUMJOBS) $(PIC_FLAGS)

override_dh_auto_install:
	# DESTDIR is used by cmake (for GraphBLAS and Mongoose), the INSTALL* vars are used by other libs
	make install $(PIC_FLAGS) INSTALL=$$(pwd)/debian/tmp/usr INSTALL_LIB=$$(pwd)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/ INSTALL_INCLUDE=$$(pwd)/debian/tmp/usr/include/suitesparse INSTALL_DOC=$$(pwd)/debian/tmp/usr/share/doc/suitesparse DESTDIR=$$(pwd)/debian/tmp
	# Install static libraries (except GraphBLAS and Mongoose)
	cp static_lib/* debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/

override_dh_auto_clean:
	make purge
	rm -rf static_lib
	rm -f $(PDF_DOCS)

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_compress:
	dh_compress -X.pdf

## suitesparse 5.4.0+dfsg

=== GraphBLAS/Tcov/Makefile ===
#-------------------------------------------------------------------------------
# GraphBLAS/Tcov/Makefile
#-------------------------------------------------------------------------------

#  SuiteSparse:GraphBLAS, Timothy A. Davis, (c) 2017-2018, All Rights Reserved.
#  http://suitesparse.com   See GraphBLAS/Doc/License.txt for license.

#-------------------------------------------------------------------------------

# This Makefile is only intended to clean up the compiled files and files
# created by the gbcover.m function in MATLAB.  To compile GraphBLAS for
# statement coverage testing, type 'gbcover' in MATLAB.  To compile the tests
# and run them, type 'testcov' in MATLAB.

clean:
	$(RM) *.o *.obj

distclean: clean
	$(RM) *.mex*
	$(RM) tmp*/* errlog.txt gbstat.mat fprint.txt

purge: distclean
	$(RM) log.txt

=== debian/changelog ===
suitesparse (1:5.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.4.0+dfsg
  * d/rules: use new JOBS Makefile variable for parallel build
  * Add Build-Depends-Package field in symbols files
  * Migrate to new way of specifying debhelper compat level
  * Bump to S-V 4.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 27 Dec 2018 09:52:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                gfortran,
                libblas-dev,
                liblapack-dev,
@@ -16,7 +16,7 @@
                ghostscript,
                texlive-science,
                texlive-xetex
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/suitesparse
 Vcs-Git: https://salsa.debian.org/science-team/suitesparse.git
 Homepage: http://www.suitesparse.com

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,9 @@
 PDF_DOCS := AMD/Doc/AMD_UserGuide.pdf CAMD/Doc/CAMD_UserGuide.pdf CHOLMOD/Doc/CHOLMOD_UserGuide.pdf GraphBLAS/Doc/GraphBLAS_UserGuide.pdf KLU/Doc/KLU_UserGuide.pdf Mongoose/Doc/Mongoose_UserGuide.pdf UMFPACK/Doc/UMFPACK_QuickStart.pdf UMFPACK/Doc/UMFPACK_UserGuide.pdf LDL/Doc/ldl_userguide.pdf SPQR/Doc/spqr_user_guide.pdf
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+JOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 else
-NUMJOBS := 1
+JOBS := 1
 endif
 
 
@@ -32,12 +32,12 @@
 	make docs
 
 	# Build static libraries (except GraphBLAS and Mongoose, see debian/patches/mongoose-build.patch)
-	make -j$(NUMJOBS) static $(NOPIC_FLAGS)
+	make static $(NOPIC_FLAGS) JOBS=$(JOBS)
 	mkdir static_lib && cp $(STATIC_LIBS) static_lib/
 	make purge
 
 	# Build dynamic libraries (and GraphBLAS and Mongoose static)
-	LD_LIBRARY_PATH=$$(pwd)/lib make -j$(NUMJOBS) $(PIC_FLAGS)
+	LD_LIBRARY_PATH=$$(pwd)/lib make $(PIC_FLAGS) JOBS=$(JOBS)
 
 override_dh_auto_install:
 	# DESTDIR is used by cmake (for GraphBLAS and Mongoose), the INSTALL* vars are used by other libs

=== debian/watch ===
version=4
opts="uversionmangle=s/-beta/~beta/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" http://www.suitesparse.com \
(?:|.*/)SuiteSparse(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## suitesparse 5.6.0+dfsg

=== GraphBLAS/Doc/Makefile ===
#-------------------------------------------------------------------------------
# GraphBLAS/Doc/Makefile
#-------------------------------------------------------------------------------

# SuiteSparse:GraphBLAS, Timothy A. Davis, (c) 2017-2018, All Rights Reserved.
# http://suitesparse.com   See GraphBLAS/Doc/License.txt for license.

#-------------------------------------------------------------------------------

# creates the user guide

GraphBLAS_UserGuide.pdf: GraphBLAS_UserGuide.tex GraphBLAS_UserGuide.bib \
    GraphBLAS_API_version.tex GraphBLAS_version.tex
	pdflatex GraphBLAS_UserGuide.tex
	bibtex GraphBLAS_UserGuide
	pdflatex GraphBLAS_UserGuide.tex
	pdflatex GraphBLAS_UserGuide.tex
	pdflatex GraphBLAS_UserGuide.tex

clean:
	- $(RM) -rf html/*.png
	- $(RM) -rf html/*.html
	- $(RM) -rf html/*
	- $(RM) -r *.out *.aux *.log *.bbl *.blg *.toc

purge: clean

distclean: clean

=== GraphBLAS/alternative/Makefile ===
#-------------------------------------------------------------------------------
# GraphBLAS/alternative/Makefile
#-------------------------------------------------------------------------------

#  SuiteSparse:GraphBLAS, Timothy A. Davis, (c) 2017-2019, All Rights Reserved.
#  http://suitesparse.com   See GraphBLAS/Doc/License.txt for license.

#-------------------------------------------------------------------------------

# pick your compiler:
# CC = gcc
# CC = cc
# CC = clang
# CC = xlc
# CC = gcc-8
  CC = icc -mp1

# note that -mp1 is essential for icc, for proper Inf and NaN behavior.

SRC = ../Source/*.c ../Source/Generated/*.c
INC = ../Include/*.h ../Source/*.h ../Source/Template/* ../Source/Generated/*.h ../Source/Generator/*.h 
SRC2 = $(notdir $(wildcard $(SRC)))
OBJ = $(SRC2:.c=.o)
LDFLAGS = -fopenmp
CFLAGS = -O3 -std=c11 -fopenmp -fexceptions -fPIC
CPPFLAGS = -I../Include -I../Source -I../Source/Template -I../Source/Generated -I../Source/Generator
SO_OPTS = $(LDFLAGS)

UNAME := $(shell uname)
ifeq ($(UNAME),Darwin)
    # Mac
    CFLAGS += -fno-common
    SO_NAME = libgraphblas.dylib
    SO_OPTS += -dynamiclib -shared -undefined dynamic_lookup
else
    # Linux
    SO_NAME = libgraphblas.so
    SO_OPTS += -shared -Wl,-soname -Wl,$(SO_NAME) -Wl,--no-undefined
endif

%.o: ../Source/%.c $(INC)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $(notdir $@)

%.o: ../Source/Generated/%.c $(INC)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $(notdir $@)

default: $(SO_NAME)

$(SO_NAME): $(OBJ)
	$(CC) $(SO_OPTS) $^ -o $@

.KEEP: $(OBJ)

static: libgraphblas.a

libgraphblas.a: $(OBJ)
	ar -rv $@ $^
	- ranlib $@

install: $(SO_NAME)
	$(CP) $(SO_NAME) /usr/local/lib
	$(CP) ../Include/GraphBLAS.h  /usr/local/include

DINC = ../Demo/Include/*.h $(INC)
DSRC = ../Demo/Source/*.c
DCPPFLAGS = $(CPPFLAGS) -I../Demo/Include
DLIBS = $(SO_NAME) -lm
DSRC2 = $(notdir $(wildcard $(DSRC)))
DOBJ = $(DSRC2:.c=.o)

.KEEP: $(DOBJ)

%.o: ../Demo/Source/%.c $(DINC)
	$(CC) -c $(CFLAGS) $(DCPPFLAGS) $< -o $(notdir $@)

%_demo: ../Demo/Program/%_demo.c $(SO_NAME) $(DINC) $(DOBJ)
	$(CC) $(CFLAGS) $(DCPPFLAGS) $< $(DOBJ) $(DLIBS) -o $@

DEMO_PRG = $(notdir $(wildcard ../Demo/Program/*_demo.c))
DEMO = $(DEMO_PRG:.c=)

run: $(DEMO)
	./altdemo

clean:
	$(RM) -f *.o *.out *_out.m

distclean: clean
	$(RM) -rf *.dSYM $(DEMO) libgraphblas.*

purge: distclean

=== GraphBLAS/GraphBLAS/test/tcov/Makefile ===
#-------------------------------------------------------------------------------
# GraphBLAS/GraphBLAS/test/tcov/Makefile
#-------------------------------------------------------------------------------

#  SuiteSparse:GraphBLAS, Timothy A. Davis, (c) 2017-2019, All Rights Reserved.
#  http://suitesparse.com   See GraphBLAS/Doc/License.txt for license.

#-------------------------------------------------------------------------------

clean:
	$(RM) -rf tmp/*

distclean: clean

purge: distclean

=== debian/changelog ===
suitesparse (1:5.6.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Add lintian overrides for libamd2, libbtf1, libldl2
  * d/copyright: drop unused entry for Mongoose/SuiteSparse_config/*
  * d/mongoose.install: change the source path to make dh_missing happy

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 15 Nov 2019 14:31:59 +0100

suitesparse (1:5.6.0+dfsg-1) experimental; urgency=medium

  * New upstream version 5.6.0+dfsg
  * d/watch: now fetch from Github
  * d/copyright:
    + exclude more PDFs without source code
    + reflect upstream changes
  * Bump to debhelper 12
  * graphblas-build.patch: new patch, ensures that static GraphBLAS is compiled
  * SOVERSION bump for GraphBLAS (2 → 3)
  * Bump S-V to 4.4.1
  * hurd-i386.patch: new patch, fixes FTBFS on hurd-i386.
    Thanks to Paul Sonnenschein (Closes: #926347)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Nov 2019 17:23:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                gfortran,
                libblas-dev,
                liblapack-dev,
@@ -16,7 +16,7 @@
                ghostscript,
                texlive-science,
                texlive-xetex
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/suitesparse
 Vcs-Git: https://salsa.debian.org/science-team/suitesparse.git
 Homepage: http://www.suitesparse.com
@@ -215,7 +215,7 @@
  SuiteSparseQR (SPQR) is a multithreaded, multifrontal, rank-revealing sparse
  QR factorization method.
 
-Package: libgraphblas2
+Package: libgraphblas3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -297,7 +297,7 @@
          libccolamd2 (= ${binary:Version}),
          libcholmod3 (= ${binary:Version}),
          libcxsparse3 (= ${binary:Version}),
-         libgraphblas2 (= ${binary:Version}),
+         libgraphblas3 (= ${binary:Version}),
          libklu1 (= ${binary:Version}),
          libldl2 (= ${binary:Version}),
          libmongoose2 (= ${binary:Version}),
